PT BIA - Feature #1907

Perhitungan Lembur 1 jam + Lembur lewat pengajuan
01/04/2023 03:28 PM - Moch Alinafia

Status: Closed Start date: 01/04/2023
Priority: Immediate Due date: 01/09/2023
Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Dev

Tolong Di tambahkan fungsi TM to Payroll

1. check dari data attendance apakah clock out lebih dari 1 jam dari jam pulang

2. check data overtime di time data apakah ada overtime

3a. jika tidak ada maka dihitung overtime hanya 1 jam jika clock out lebih 1 jam dari jam pulang

3b. jika ada, check apakah start time overlapping dengan clock out attendance

4a. jika tidak overlapping maka data durasi dari data overtime di time data di tambahkan 1 jam jika clock out lebih 1 jam dari jam
pulang

4b. jika overlapping maka yg di ambil data durasi overtime dari time data

terima kasih

History

#1 - 01/06/2023 09:22 AM - Kezia Pawitra Yulianti
- Due date set to 01/09/2023
- Status changed from New to Assigned

- Priority changed from High to Immediate

#2 - 01/09/2023 04:35 PM - Moch Alinafia

untuk perhitungan nya

Hari normal

1 jam pertama = pendapatan/173 x 150% (wage Type 3200)

n jam berikut nya = n x (pendapatan/173 x 200%) (wage Type 3201)

Hari libur

7 jam pertama = pendapatan/173 x 200% (wage Type 3201)
jam ke 8 = pendapatan/173 x 300% (wage Type 3202)

jam ke 9 s/d 11 = pendapatan/173 x 400% (wage Type 3203)

WSType : 6D7H

#3 - 01/11/2023 10:03 AM - Tri Rizqiaty

- File CBIATMTOPYOVERTIME_202301111000.sql added

- File PDSTMTOPYVALEMPRUNEXIST_20230110.sql added

- File PDSTMTOPYVALEMPSAVEMDEXIST_20230110.sql added

- File MinovalS.MinovaES.Business. TM.dll added

- File MinovalS.MinovaES.Implementation.BIA.Business. TMToPYVar1.dll added

- Status changed from Assigned to Developing

Fixing :
1. Update folder API1\bin & API2\bin : MinovalS.MinovaES.Business.TM.dIl , MinovalS.MinovaES.Implementation.BIA.Business. TMToPYVar1.dll

2. Execute SP : CBIATMTOPYOVERTIME_202301111000.sql , PDSTMTOPYVALEMPRUNEXIST_20230110.sql ,
PDSTMTOPYVALEMPSAVEMDEXIST_20230110.sq|

#4 - 01/11/2023 10:04 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test
- Assignee changed from Tri Rizqiaty to Moch Alinafia

#5 - 03/07/2023 10:13 AM - Moch Alinafia
- Status changed from QA Test to Closed
